<template>
  <div class="block">
    <span class="demonstration">时间</span>
    <el-date-picker v-model="value2" type="date" placeholder="Pick a day" :disabled-date="disabledDate"
      :shortcuts="shortcuts" :size="size" />
  </div>

  <el-table :data="tableData" style="width: 100%">
    <el-table-column prop="chanpin" label="产品" />
    <el-table-column prop="leixing" label="类型" />
    <el-table-column prop="reportTime" label="时间">

    </el-table-column>
    <el-table-column prop="banci" label="班次" />
    <el-table-column prop="id" label="编号" />
    <el-table-column prop="createDate" label="最新时间" />
    <el-table-column label="操作">
      <template #default="scope">
        <el-button size="small" type="primary" @click="handleEdit(scope.$index, scope.row)">详情</el-button>
      </template>
    </el-table-column>
  </el-table>
  <div class="page">
    <el-pagination background layout="prev, pager, next" :page-count="pageData.total"
      :current-page="pageData.ListData.pageNo" @current-change="handleCurrentChange" />
  </div>
</template>

<script>
import { ref, reactive } from "vue";
import { headPage } from "@/api/head";
import { useRouter } from "vue-router";
export default {
  name: "NewsIndex",
  components: {},
  props: {},
  setup() {
    const router = useRouter();
    const value = ref("");
    let tableData = ref([]);
    const formLabelWidth = "140px";
    let pageData = reactive({
      ListData: {
        pageNo: 1,
        pageSize: 15,
      },
      total: 0,
    });
    let value2 = '';
    const shortcuts = [
      {
        text: '今天',
        value: new Date(),
      },
      {
        text: '昨天',
        value: () => {
          const date = new Date()
          date.setTime(date.getTime() - 3600 * 1000 * 24)
          return date
        },
      },
      {
        text: '一周前',
        value: () => {
          const date = new Date()
          date.setTime(date.getTime() - 3600 * 1000 * 24 * 7)
          return date
        },
      },
    ]

    const disabledDate = (time) => {
      return time.getTime() > Date.now();
    }
    const options = [
      {
        value: "Option1",
        label: "Option1",
      },
      {
        value: "Option2",
        label: "Option2",
      },
      {
        value: "Option3",
        label: "Option3",
      },
      {
        value: "Option4",
        label: "Option4",
      },
      {
        value: "Option5",
        label: "Option5",
      },
    ];
    function handleEdit(index, row) {
      // console.log("xxxxxxxxxxxxxxx", index);
      // console.log("xxxxxxxxxxxxxxx", row);
      // console.log("oooooooooooooooo");
      if (row.leixing == "A0")
        router.push({
          path: "/Bianxk",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A1")
        router.push({
          path: "/JBJtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A6")
        router.push({
          path: "/DBtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A2")
        router.push({
          path: "/HJtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A3")
        router.push({
          path: "/FBtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A4")
        router.push({
          path: "/JGGXtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A5")
        router.push({
          path: "/JGJtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      if (row.leixing == "A7")
        router.push({
          path: "/GXtable",
          query: {
            id: row.id,
            leixing: row.leixing,
          },
        });
      return handleEdit;
    }
    const formInline = reactive({
      region: "",
    });
    const dialogFormVisible = ref(false);
    //确定搜索动作
    const onSubmit = () => { };
    //请求列表方法
    const getListData = async () => {
      const data = await headPage(pageData.ListData);
      // console.log("data manager....", data);
      pageData.total = Math.ceil(data.data.total / pageData.ListData.pageSize);
      tableData.value = data.data.records;
    };
    // 分页器
    const handleCurrentChange = (val) => {
      pageData.ListData.pageNo = val;
      getListData();
    };
    //删除用户
    const handleDelete = (val) => {
      // console.log(val);
    };
    //新增用户
    const addUser = () => { };
    getListData();
    function showState(row, column, cellValue, index) {
      // console.log("row", row);
      // console.log("col", column);
      // console.log("cel", cellValue);
      // console.log("index", index);
      if (cellValue === 0) return "正常";
      else return "异常";
    }
    return {
      value,
      pageData,
      options,
      onSubmit,
      formInline,
      tableData,
      handleCurrentChange,
      handleDelete,
      showState,
      dialogFormVisible,
      formLabelWidth,
      addUser,
      handleEdit,
      disabledDate,
      shortcuts
    };
  },
};
</script>
<style lang="scss" scoped>
.page {
  display: flex;
  justify-content: flex-end;
  margin-top: 20px;
}

.header_nox {
  text-align: right;
}
</style>
